com.tibbo.aggregate.common.server

## Class WebServerContextConstants

- java.lang.Object
- - com.tibbo.aggregate.common.server.WebServerContextConstants

-     public class WebServerContextConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CALLER_CONTROLLER_PROPERTY_WEB_BASED`
    `static java.lang.String` | `CLIENT_APP_FOLDER`
    `static java.lang.String` | `CLIENT_PATH`
    `static java.lang.String` | `CLIENT_WEBSTART_APP_FOLDER`
    `static java.lang.String` | `CLIENT_WEBSTART_PATH`
    `static int` | `DEFAULT_MAX_THREADS`
    `static long` | `DEFAULT_PING_INTERVAL`
    `static long` | `DEFAULT_PONG_TIMEOUT`
    `static java.lang.String` | `JARS_PATH`
    `static java.lang.String` | `OAUTH_DEFAULT`
    `static java.lang.String` | `OAUTH_LINKS`
    `static java.lang.String` | `PLUGIN_ID`
    `static java.lang.String` | `ROOT_APP_FOLDER`
    `static java.lang.String` | `ROOT_PATH`
    `static int` | `SESSION_DIR_NAME_LENGTH`
    `static java.lang.String` | `V_CONNECTION_PRECONFIGURED_ADDRESS`
    `static java.lang.String` | `V_CONNECTION_PRECONFIGURED_DESCRIPTION`
    `static java.lang.String` | `V_CONNECTION_PRECONFIGURED_DISABLED`
    `static java.lang.String` | `V_CONNECTION_PRECONFIGURED_NAME`
    `static java.lang.String` | `V_CONNECTION_PRECONFIGURED_PORT`
    `static java.lang.String` | `V_CONNECTION_PROPERTIES`
    `static int` | `V_CONNECTION_TYPE_ONLY_LOCAL`
    `static int` | `V_CONNECTION_TYPE_ONLY_REMOTE`
    `static int` | `V_CONNECTION_TYPE_PRECONFIGURED`
    `static java.lang.String` | `V_WEB_CONNECTION_PRECONFIGURED`
    `static java.lang.String` | `V_WEB_CONNECTION_TYPE`
    `static java.lang.String` | `V_WEB_CUSTOM_ERROR_CONNECTION_MESSAGE`
    `static java.lang.String` | `V_WEBAPPS`
    `static java.lang.String` | `V_WEBAPPS_WEB_APPLET_AND_JAVAWS_ENABLED`
    `static java.lang.String` | `V_WEBAPPS_WEB_APPS_ALIASES`
    `static java.lang.String` | `V_WEBAPPS_WEB_APPS_NON_SSL_PORT`
    `static java.lang.String` | `V_WEBAPPS_WEB_APPS_SSL_PORT`
    `static java.lang.String` | `V_WEBAPPS_WEB_KEY_PASSWORD`
    `static java.lang.String` | `V_WEBAPPS_WEB_KEYSTORE_FILE`
    `static java.lang.String` | `V_WEBAPPS_WEB_KEYSTORE_PASSWORD`
    `static java.lang.String` | `V_WEBAPPS_WEB_NON_SECURE_ACCESS_ENABLED`
    `static java.lang.String` | `V_WEBAPPS_WEB_SERVER_ENABLED`
    `static java.lang.String` | `V_WEBAPPS_WEB_SERVICE_ENABLED`
    `static java.lang.String` | `V_WEBAPPS_WEB_SERVICE_USE_RESPONSE_ENCODING`
    `static java.lang.String` | `VF_ENABLE_HTTP2`
    `static java.lang.String` | `VF_PING_INTERVAL`
    `static java.lang.String` | `VF_PONG_TIMEOUT`
    `static java.lang.String` | `VF_WEB_SOCKET_COMPRESSION_ENABLED`
    `static java.lang.String` | `VF_WEBAPPS_ACCESS_LOG_ENABLED`
    `static java.lang.String` | `VF_WEBAPPS_MAX_THREADS`
    `static java.lang.String` | `VF_WEBAPPS_WEB_APP_READ_BUFFER_SIZE`
    `static java.lang.String` | `VF_WEBAPPS_WEB_APP_WRITE_BUFFER_SIZE`
    `static java.lang.String` | `WEB_CONTEXT_PATH`
    `static java.lang.String` | `WEB_SERVER_APPS_SUBDIR`
    `static java.lang.String` | `WEB_SERVER_COMPRESSABLE_MIME_TYPES`
    `static java.lang.String` | `WEB_SERVER_COMPRESSION_MODE`
    `static java.lang.String` | `WEB_SERVER_DEFAULT_HOST`
    `static java.lang.String` | `WEB_SERVER_SSL_ENABLED_PROTOCOLS`
    `static java.lang.String` | `WEB_SERVER_SSL_PROTOCOL`
    `static java.lang.String` | `WEB_SERVER_URL_SHEME`
    `static java.lang.String` | `WEB_SERVICE_APP_FILENAME`
    `static java.lang.String` | `WEB_SERVICE_PATH`
    `static java.lang.String` | `WEB_TEMP_SUBDIR`
    `static java.lang.String` | `WEB_WIDGET_PLAYER_PATH`
    `static int` | `WEBSOCKET_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServerContextConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getSessionDirPath(java.lang.String sessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_ID

          public static final java.lang.String PLUGIN_ID

      See Also:
        Constant Field Values

    - #### V_WEBAPPS

          public static final java.lang.String V_WEBAPPS

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PROPERTIES

          public static final java.lang.String V_CONNECTION_PROPERTIES

      See Also:
        Constant Field Values

    - #### V_CONNECTION_TYPE_ONLY_LOCAL

          public static final int V_CONNECTION_TYPE_ONLY_LOCAL

      See Also:
        Constant Field Values

    - #### V_CONNECTION_TYPE_ONLY_REMOTE

          public static final int V_CONNECTION_TYPE_ONLY_REMOTE

      See Also:
        Constant Field Values

    - #### V_CONNECTION_TYPE_PRECONFIGURED

          public static final int V_CONNECTION_TYPE_PRECONFIGURED

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PRECONFIGURED_PORT

          public static final java.lang.String V_CONNECTION_PRECONFIGURED_PORT

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PRECONFIGURED_ADDRESS

          public static final java.lang.String V_CONNECTION_PRECONFIGURED_ADDRESS

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PRECONFIGURED_NAME

          public static final java.lang.String V_CONNECTION_PRECONFIGURED_NAME

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PRECONFIGURED_DESCRIPTION

          public static final java.lang.String V_CONNECTION_PRECONFIGURED_DESCRIPTION

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PRECONFIGURED_DISABLED

          public static final java.lang.String V_CONNECTION_PRECONFIGURED_DISABLED

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_SERVER_ENABLED

          public static final java.lang.String V_WEBAPPS_WEB_SERVER_ENABLED

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_SERVICE_ENABLED

          public static final java.lang.String V_WEBAPPS_WEB_SERVICE_ENABLED

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_SERVICE_USE_RESPONSE_ENCODING

          public static final java.lang.String V_WEBAPPS_WEB_SERVICE_USE_RESPONSE_ENCODING

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_NON_SECURE_ACCESS_ENABLED

          public static final java.lang.String V_WEBAPPS_WEB_NON_SECURE_ACCESS_ENABLED

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_APPLET_AND_JAVAWS_ENABLED

          public static final java.lang.String V_WEBAPPS_WEB_APPLET_AND_JAVAWS_ENABLED

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_APPS_ALIASES

          public static final java.lang.String V_WEBAPPS_WEB_APPS_ALIASES

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_APPS_SSL_PORT

          public static final java.lang.String V_WEBAPPS_WEB_APPS_SSL_PORT

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_APPS_NON_SSL_PORT

          public static final java.lang.String V_WEBAPPS_WEB_APPS_NON_SSL_PORT

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_KEYSTORE_FILE

          public static final java.lang.String V_WEBAPPS_WEB_KEYSTORE_FILE

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_KEYSTORE_PASSWORD

          public static final java.lang.String V_WEBAPPS_WEB_KEYSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### V_WEBAPPS_WEB_KEY_PASSWORD

          public static final java.lang.String V_WEBAPPS_WEB_KEY_PASSWORD

      See Also:
        Constant Field Values

    - #### VF_WEBAPPS_WEB_APP_READ_BUFFER_SIZE

          public static final java.lang.String VF_WEBAPPS_WEB_APP_READ_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### VF_WEBAPPS_WEB_APP_WRITE_BUFFER_SIZE

          public static final java.lang.String VF_WEBAPPS_WEB_APP_WRITE_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### VF_WEBAPPS_MAX_THREADS

          public static final java.lang.String VF_WEBAPPS_MAX_THREADS

      See Also:
        Constant Field Values

    - #### VF_WEBAPPS_ACCESS_LOG_ENABLED

          public static final java.lang.String VF_WEBAPPS_ACCESS_LOG_ENABLED

      See Also:
        Constant Field Values

    - #### VF_WEB_SOCKET_COMPRESSION_ENABLED

          public static final java.lang.String VF_WEB_SOCKET_COMPRESSION_ENABLED

      See Also:
        Constant Field Values

    - #### VF_ENABLE_HTTP2

          public static final java.lang.String VF_ENABLE_HTTP2

      See Also:
        Constant Field Values

    - #### VF_PING_INTERVAL

          public static final java.lang.String VF_PING_INTERVAL

      See Also:
        Constant Field Values

    - #### VF_PONG_TIMEOUT

          public static final java.lang.String VF_PONG_TIMEOUT

      See Also:
        Constant Field Values

    - #### V_WEB_CONNECTION_TYPE

          public static final java.lang.String V_WEB_CONNECTION_TYPE

      See Also:
        Constant Field Values

    - #### V_WEB_CONNECTION_PRECONFIGURED

          public static final java.lang.String V_WEB_CONNECTION_PRECONFIGURED

      See Also:
        Constant Field Values

    - #### V_WEB_CUSTOM_ERROR_CONNECTION_MESSAGE

          public static final java.lang.String V_WEB_CUSTOM_ERROR_CONNECTION_MESSAGE

      See Also:
        Constant Field Values

    - #### WEBSOCKET_BUFFER_SIZE

          public static final int WEBSOCKET_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_THREADS

          public static final int DEFAULT_MAX_THREADS

      See Also:
        Constant Field Values

    - #### WEB_CONTEXT_PATH

          public static final java.lang.String WEB_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### WEB_TEMP_SUBDIR

          public static final java.lang.String WEB_TEMP_SUBDIR

      See Also:
        Constant Field Values

    - #### WEB_SERVER_APPS_SUBDIR

          public static final java.lang.String WEB_SERVER_APPS_SUBDIR

      See Also:
        Constant Field Values

    - #### WEB_SERVER_DEFAULT_HOST

          public static final java.lang.String WEB_SERVER_DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### WEB_SERVER_SSL_PROTOCOL

          public static final java.lang.String WEB_SERVER_SSL_PROTOCOL

      See Also:
        Constant Field Values

    - #### WEB_SERVER_SSL_ENABLED_PROTOCOLS

          public static final java.lang.String WEB_SERVER_SSL_ENABLED_PROTOCOLS

      See Also:
        Constant Field Values

    - #### WEB_SERVER_COMPRESSABLE_MIME_TYPES

          public static final java.lang.String WEB_SERVER_COMPRESSABLE_MIME_TYPES

      See Also:
        Constant Field Values

    - #### WEB_SERVER_COMPRESSION_MODE

          public static final java.lang.String WEB_SERVER_COMPRESSION_MODE

      See Also:
        Constant Field Values

    - #### WEB_SERVER_URL_SHEME

          public static final java.lang.String WEB_SERVER_URL_SHEME

      See Also:
        Constant Field Values

    - #### ROOT_PATH

          public static final java.lang.String ROOT_PATH

      See Also:
        Constant Field Values

    - #### JARS_PATH

          public static final java.lang.String JARS_PATH

      See Also:
        Constant Field Values

    - #### CLIENT_PATH

          public static final java.lang.String CLIENT_PATH

      See Also:
        Constant Field Values

    - #### CLIENT_WEBSTART_PATH

          public static final java.lang.String CLIENT_WEBSTART_PATH

      See Also:
        Constant Field Values

    - #### WEB_WIDGET_PLAYER_PATH

          public static final java.lang.String WEB_WIDGET_PLAYER_PATH

      See Also:
        Constant Field Values

    - #### WEB_SERVICE_PATH

          public static final java.lang.String WEB_SERVICE_PATH

      See Also:
        Constant Field Values

    - #### ROOT_APP_FOLDER

          public static final java.lang.String ROOT_APP_FOLDER

      See Also:
        Constant Field Values

    - #### CLIENT_APP_FOLDER

          public static final java.lang.String CLIENT_APP_FOLDER

      See Also:
        Constant Field Values

    - #### CLIENT_WEBSTART_APP_FOLDER

          public static final java.lang.String CLIENT_WEBSTART_APP_FOLDER

      See Also:
        Constant Field Values

    - #### WEB_SERVICE_APP_FILENAME

          public static final java.lang.String WEB_SERVICE_APP_FILENAME

      See Also:
        Constant Field Values

    - #### OAUTH_LINKS

          public static final java.lang.String OAUTH_LINKS

      See Also:
        Constant Field Values

    - #### OAUTH_DEFAULT

          public static final java.lang.String OAUTH_DEFAULT

      See Also:
        Constant Field Values

    - #### SESSION_DIR_NAME_LENGTH

          public static final int SESSION_DIR_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### CALLER_CONTROLLER_PROPERTY_WEB_BASED

          public static final java.lang.String CALLER_CONTROLLER_PROPERTY_WEB_BASED

      See Also:
        Constant Field Values

    - #### DEFAULT_PING_INTERVAL

          public static final long DEFAULT_PING_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_PONG_TIMEOUT

          public static final long DEFAULT_PONG_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebServerContextConstants

          public WebServerContextConstants()

  - ### Method Detail

    - #### getSessionDirPath

          public static java.lang.String getSessionDirPath(java.lang.String sessionId)